/**
 * Copyright(C) 2015-2016, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http//:www.foxitsoftware.com
 *
 * The following code is copyrighted and contains proprietary information and trade secrets of Foxit Software Inc..
 * You cannot distribute any part of Foxit WebPDF Viewer to any third party or general public,
 * unless there is a separate license agreement with Foxit Software Inc. which explicitly grants you such rights.
 *
 */

/**
 * Function defined to handle the window resize event.
 */
function Resize() {
    var height = $(window).height();

    var headHeight = $('#header').outerHeight();
    var unSupportTipsHeight = $('#notSupportBrowser').outerHeight();


    var rightHeight = height;
    if ($('#header').is(':visible')) {
        rightHeight = height - headHeight;
    }
    if ($('#notSupportBrowser').is(':visible')) {
        rightHeight = height - unSupportTipsHeight;
    }
    $('#right').height(rightHeight);

    $("#setting .tools").height(height - 130);

    if ($('#homepage').length == 0 || $('#homepage').is(':hidden')) {//show docviewer, homepage is hidden.
        updateLayer();
    }
}

/**
 * Update the layout when any visible elements of WebPDF has been changed.
 *
 * @method updateLayer
 */
function updateLayer() {
    if(!WebPDF.Config){
        return;
    }
    var toolBar = $("#toolbar");
    var inkSignList = $('#' + WebPDF.Config.InkSignListId);
    var docViewerHeight= $('#' + docViewerId).height();
    var docViewerWidth = $('#' + docViewerId).width();
    var docViewerOffsetLeft = $('#' + docViewerId)[0].offsetLeft;

    var width = $(window).width();
    var height = $("#right").height();
    var topOffset = toolBar.is(":visible") ? toolBar.outerHeight() : 0;
    var rightOffset = inkSignList.is(":visible") ? inkSignList.outerWidth() : 0;
    if(!WebPDF.Environment.mobile){
        inkSignList.height(height - topOffset);
    }else{
        inkSignList.width(width - rightOffset)
    }
    
    var viewHeight = height - topOffset;
    var viewWidth = width - rightOffset;

    if(!viewHeight){
        viewHeight = docViewerHeight?docViewerHeight:$(window).height();
    }

    if(!viewWidth || viewWidth < 0){
        viewWidth = docViewerWidth?docViewerWidth + docViewerOffsetLeft:$(window).width();
    }

    // reset the css style value for each visible elements
    // reset the size of viewer object.
    $('#' + docViewerId).css({
        "margin-right" : rightOffset,
        'width': viewWidth,
        'height': viewHeight
    });

    if (typeof (WebPDF) == 'undefined' || WebPDF.ViewerInstance == null)
        return;
    // Recalculate the width and height of PDF viewer.
    WebPDF.ViewerInstance.updateLayout(viewWidth, viewHeight);
}